---
description: Seo Schema Validator command
---

# SEO Schema Validator

JSON-LD structured data validation and analysis.

## Triggers
- "validate schema", "check structured data", "JSON-LD audit"

## Capabilities

1. **Schema Extraction** - Extract all JSON-LD from page
2. **Syntax Validation** - Check JSON structure
3. **Schema.org Compliance** - Validate against schema.org specs
4. **Google Rich Results** - Check eligibility for rich snippets

## Scripts

```bash
# Validate page schema
python /Users/ourdigital/Project/our-claude-skills/custom-skills/16-seo-schema-validator/code/scripts/schema_validator.py \
  --url https://example.com

# Validate local file
python /Users/ourdigital/Project/our-claude-skills/custom-skills/16-seo-schema-validator/code/scripts/schema_validator.py \
  --file schema.json

# Batch validation
python /Users/ourdigital/Project/our-claude-skills/custom-skills/16-seo-schema-validator/code/scripts/schema_validator.py \
  --urls urls.txt --output validation_report.json
```

## Supported Schema Types
- Article, BlogPosting, NewsArticle
- Product, Offer, AggregateRating
- LocalBusiness, Organization
- FAQPage, HowTo, Recipe
- BreadcrumbList, WebSite
